﻿using System;
using System.Collections.Generic;
using System.Text;

using YSystem;

namespace Template
{
    /// <summary>
    /// SingletonクラスのDispose用クラスです。
    /// アプリケーション終了時に呼び出されます。
    /// </summary>
    public class YCDisposer : YCDisposerBase
    {
        public YCDisposer()
            : base()
        {
        }

        public override void Dispose()
        {
            if (this.IsDisposable)
            {
                //SingletonクラスのDisposeを実行します。

                //リストマネージャ
                try { YCListManager.Instance.Dispose(); }
                catch { }

                //自動採番マネージャ
                try { YCAutoNoManager.Instance.Dispose(); }
                catch { }

            }
            base.Dispose();
        }
    }
}
