﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.Common;

using YSystem;

namespace Template
{
    /// <summary>
    /// ユーザグループリストです。
    /// </summary>
    public class YCUserGroupList : YCDbList
    {
        public YCUserGroupList(YCConnection connection)
            : base(connection)
        {
        }

        //保存可
        public override bool AllowSave
        {
            get
            {
                return true;
            }
        }

        //SELECT文
        protected override string MakeSQLSelect(DbParameterCollection parameters)
        {
            string ans = "SELECT Ｍユーザグループ.ユーザグループコード, Ｍユーザグループ.ユーザグループ名";
            ans += ", Ｍユーザグループ.プライオリティ";
            ans += ", Ｍユーザグループ.管理者フラグ, Ｍユーザグループ.ゲストフラグ";
            ans += ", Ｍユーザグループ.削除フラグ";
            ans += " FROM Ｍユーザグループ";
            ans += " ORDER BY Ｍユーザグループ.プライオリティ;";

            return ans;
        }

        protected override void InitializeNewRow(System.Data.DataRow newRow)
        {
            newRow["プライオリティ"] = 1;
            newRow["管理者フラグ"] = 0;
            newRow["ゲストフラグ"] = 0;
            newRow["削除フラグ"] = 0;
        }
    }
}
